Page MenuHomePhabricator

Clean up actor renames on mediawikiwiki
Closed, ResolvedPublic

Description

Timeline:

  1. 2018-09-17 16:18: Actor migration stage set to 'write-both/read-both' (07a6db7605)
  2. 2018-09-18 20:58: Actor migration stage set back to 'old' (ee933e406)
  3. 2018-11-13 16:22: Actor migration stage set to 'write-both/read-old' (1d612f656f)

There were 14 actor table entries on mediawikiwiki created during the time between #1 and #2 where the user was then renamed between #2 and #3. Since the migration stage was 'old' during the rename, the actor table rows were not updated and so reflect the old names rather than the new. This shouldn't be causing any problems with the current settings, but these will need to be cleaned up before we can set the stage to 'write-both/read-new'.

While the same could have happened on testwiki, test2wiki, and testwikidatawiki, it turns out that no users were affected on those wikis. The migration stage was never set to 'write-both/read-both' on any other production wikis.

The 52 renames of users with actor table entries on mediawikiwiki that took place in the time after step #3 have updated the actor table correctly.

Event Timeline

Anomie created this task.Nov 19 2018, 3:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 19 2018, 3:24 PM
Anomie closed this task as Resolved.Dec 3 2018, 2:54 PM

Resolved by executing the following query:

update actor join user on (actor_user=user_id) set actor_name = user_name where actor_name != user_name;